using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class aim_s : MonoBehaviour
{
	public Texture aim_red;
	public Texture aim_green;
	public Texture aim_blue;
	public Texture aim_purple;
	public Texture aim_yellow;
	
	private float x;
	private float y;
	private float width;
	private float height;
	private Texture my_aim;
	private string color;
	public int color_int;
	
	void Start()
	{
		my_aim=aim_red;
	}
	
	void Update()
	{
		width=Screen.height*0.05f;
		height=width;
		
		x=Screen.width/2-width/2;
		y=Screen.height/2-height/2;
	}
	
	void OnGUI()
	{
		GUI.Image(my_aim,new Rect(x,y,width,height));
	}
	
	public void new_color()
	{
		color_int=(int)Mathf.Round(FalcoEngine.Random.Range(1f,5f))-1;
		
		if(color_int==0){color="red";my_aim=aim_red;}
		if(color_int==1){color="green";my_aim=aim_green;}
		if(color_int==2){color="blue";my_aim=aim_blue;}
		if(color_int==3){color="purple";my_aim=aim_purple;}
		if(color_int==4){color="yellow";my_aim=aim_yellow;}
	}
}
